Bug 2179837 - CVE-2023-28154 pcs: webpack: avoid cross-realm objects [fedora-all]
Summary: CVE-2023-28154 pcs: webpack: avoid cross-realm objects [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pcs
Version: 37
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Michal Pospisil
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2023-28154
TreeView+ depends on / blocked
 
Reported: 2023-03-20 08:38 UTC by Avinash Hanwate
Modified: 2023-04-22 01:11 UTC (History)
7 users (show)

Fixed In Version: pcs-0.11.5-2.fc38 pcs-0.11.5-2.fc37 pcs-0.11.5-2.fc36
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-04-22 00:47:15 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Avinash Hanwate 2023-03-20 08:38:37 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2179227

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 Avinash Hanwate 2023-03-20 08:38:40 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2179227,2179837

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 3 Fedora Update System 2023-04-13 12:59:27 UTC
FEDORA-2023-4d546e6b4b has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-4d546e6b4b

Comment 4 Fedora Update System 2023-04-13 13:03:01 UTC
FEDORA-2023-cb2e422088 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-cb2e422088

Comment 5 Fedora Update System 2023-04-13 13:06:13 UTC
FEDORA-2023-5993ffa09a has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2023-5993ffa09a

Comment 6 Fedora Update System 2023-04-14 02:41:50 UTC
FEDORA-2023-4d546e6b4b has been pushed to the Fedora 38 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-4d546e6b4b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2023-04-14 02:46:31 UTC
FEDORA-2023-cb2e422088 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-cb2e422088`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-cb2e422088

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-04-14 02:48:16 UTC
FEDORA-2023-5993ffa09a has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-5993ffa09a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-5993ffa09a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2023-04-22 00:47:15 UTC
FEDORA-2023-4d546e6b4b has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2023-04-22 00:54:48 UTC
FEDORA-2023-cb2e422088 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2023-04-22 01:11:51 UTC
FEDORA-2023-5993ffa09a has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.